import org.apache.batik.script.Interpreter;
import org.apache.batik.swing.JSVGCanvas;
import org.apache.batik.swing.svg.SVGLoadEventDispatcherAdapter;
import org.apache.batik.swing.svg.SVGLoadEventDispatcherEvent;
import java.io.File;
import javax.swing.JFrame;

public class BindingExample {

    public static class MyCanvas extends JSVGCanvas {

        public void bindObjectInES(String name, Object value) {
            Interpreter i = bridgeContext.getInterpreter("text/ecmascript");
            i.bindObject(name, value);
        }
    }

    public static void main(String[] args) {
        // A frame for the canvas to live in
        final JFrame f = new JFrame("Binding example");
        f.setSize(400, 300);
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // A canvas to show "max.svg"
        final MyCanvas c = new MyCanvas();

        // When the document is loaded, bind the JFrame to the variable "frame"
        c.addSVGLoadEventDispatcherListener(new SVGLoadEventDispatcherAdapter() {
            public void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e) {
                c.bindObjectInES("frame", f);
            }
        });
        c.setURI(new File("max.svg").toURI().toString());

        // Add the canvas to the frame
        f.getContentPane().add(c);

        // Show the frame
        f.setVisible(true);
    }
}
